Library Version 12.1.6.0

DbEnv::get_blob_threshold()
Prev | Chapter 14. Binary Large Objects | Next

## DbEnv::get_blob_threshold()

    #include <db_cxx.h>

    int
    DbEnv::get_blob_threshold(u_int32_t *bytes);

The `DbEnv::get_blob_threshold()` method returns the threshold value, in bytes, beyond which data items are stored as BLOBs. This value can be set using DbEnv::set_blob_threshold(). A value of `0` indicates that BLOBs are not in use by default in this environment, unless Db::set_blob_threshold() is called to set a BLOB threshold for a specific database.

The `DbEnv::get_blob_threshold()` method always returns `0` to indicate success.

### Parameters

#### bytes

References memory into which is copied the BLOB threshold value.

### Class

DbEnv

### See Also

BLOBs and Related Methods

Prev | Up | Next
DbEnv::get_blob_dir() | Home | DbEnv::set_blob_dir()